<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CoursesController;
use App\Http\Controllers\OnlinePaymentPortalController;
use App\Http\Controllers\CourseRegistrationController;
use App\Http\Controllers\AdminRgistrationController;
use App\Http\Controllers\CoursePaymentController;
use App\Http\Controllers\AbstractSubmissionController;
use App\Http\Controllers\AbstractPortalController;
use App\Http\Controllers\AbstractReviewController;
use App\Http\Controllers\MailController;
use App\Http\Controllers\PaymentResponseController;
use App\Http\Controllers\DashboardController;
// member registration
use App\Http\Controllers\MemberRegFellowshipController;







/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/', function () {
    // This route can only be accessed by confirmed users...
   })->middleware('verified');

Route::get('/', function () {
    //return view('welcome');
    return view('auth/login');
});

// Route::get('/dashboard', function () {
//     return view('dashboard');
// })->middleware(['auth', 'verified'])->name('dashboard');
Route::middleware('auth')->group(function () {
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
});

Route::get('/home', function () {
    return view('home');
})->middleware(['auth', 'verified'])->name('home');

Route::get('/dashboardAbstract', function () {
    return view('dashboard-abstract');
})->middleware(['auth', 'verified'])->name('dashboardAbstract');

Route::get('/dashboardProfile', function () {
    return view('dashboard-profile');
})->middleware(['auth', 'verified'])->name('dashboardProfile');

Route::get('/myHistory', function () {
    return view('dashboard-myHistory');
})->middleware(['auth', 'verified'])->name('myHistory');

Route::get('/myCourses', function () {
    return view('dashboard-myHistoryCourses');
})->middleware(['auth', 'verified'])->name('myCourses');

Route::middleware('auth')->group(function () {
    Route::get('/abstractPortal/getUserAbstract/{abstract_id}', [AbstractPortalController::class, 'getUserAbstract']);
});

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

Route::get('/testapp', function () {
    return view('testapp');
})->middleware(['auth', 'verified'])->name('testapp');

Route::middleware('auth')->group(function () {
Route::get('/courses', [CoursesController::class, 'index'])->name('courses');
});

Route::post('/deleteCoursesdata', [CoursesController::class, 'delete']);
Route::resource('coursesdata', CoursesController::class);

// Online payment Portal
Route::middleware('auth')->group(function () {
Route::get('/onlinePaymentPortal', [OnlinePaymentPortalController::class, 'index'])->name('onlinePaymentPortal');
});

// course registration 
// Route::get('/courseRegistration', [CourseRegistrationController::class, 'index']);
Route::middleware('auth')->group(function () {
Route::get('/courseRegistration/{id}/{courseCategory}/{courseName}', [CourseRegistrationController::class, 'index']);
Route::resource('courseregistration', CourseRegistrationController::class);
});

// admin registration
Route::middleware('auth')->group(function () {
    Route::get('/adminRgistration', [AdminRgistrationController::class, 'index'])->name('adminRgistration');
});
Route::get('registrationdata/{id}/{name}', [AdminRgistrationController::class,'loadData']);
Route::get('getRegisterCourses/{id}/{name}', [AdminRgistrationController::class,'getRegisterCourses']);

// course payment
Route::middleware('auth')->group(function () {
    Route::get('/coursePayment/{course_id}/{registrations_id}', [CoursePaymentController::class, 'index']);
});
// course payment response
Route::get('/coursePaymentResponse', function () {
    return view('course-payment-response');
})->middleware(['auth', 'verified'])->name('coursePaymentResponse');

// abstract submition
Route::middleware('auth')->group(function () {
    Route::get('/abstractSubmition/return/{returnPath}', [AbstractSubmissionController::class, 'index']);
    Route::post('/abstractSubmition/submit', [AbstractSubmissionController::class, 'submit']);
    Route::get('/abstractSubmition/update/{id}', [AbstractSubmissionController::class, 'update']);
    Route::get('/abstractSubmition/get', [AbstractSubmissionController::class, 'get']);
    Route::get('/abstractSubmition/getAll', [AbstractSubmissionController::class, 'getAll']);
    Route::get('/abstractSubmition/viewAbstract', [AbstractSubmissionController::class, 'viewAbstract']);
    Route::get('/abstractSubmition/get_by_id', [AbstractSubmissionController::class, 'get_by_id']);
    Route::get('/abstractSubmition/editProfile', [AbstractSubmissionController::class, 'editProfile']); 
});

// Route::get('/editProfile', function () {
//    Route::get('/abstractSubmition/editProfile', [AbstractSubmissionController::class, 'editProfile']);
//     //return view('abstract_submition_edit');
// })->middleware(['auth', 'verified'])->name('editProfile');

Route::middleware('auth')->group(function () {
    Route::get('/abstractPortal', [AbstractPortalController::class, 'index']);
    Route::post('/abstractPortal/submit', [AbstractPortalController::class, 'submit']);
    Route::post('/abstractPortal/store/{type}', [AbstractPortalController::class, 'store']);
    Route::get('/abstractPortal/get', [AbstractPortalController::class, 'get']);
    Route::get('/abstractPortal/removeFile/{fileName}', [AbstractPortalController::class, 'removeFile']);
    Route::get('/abstractPortal/getAuthors/{id}', [AbstractPortalController::class, 'getAuthors']);
    Route::get('/abstractPortal/getAllAbstracts', [AbstractPortalController::class, 'getAllAbstracts']);
    Route::get('/abstractPortal/getUserAbstracts', [AbstractPortalController::class, 'getUserAbstracts']);
    Route::get('/abstractPortal/getAllAbstractsSearch', [AbstractPortalController::class, 'getAllAbstractsSearch']);
    Route::get('/abstractPortal/getAbstractCsv', [AbstractPortalController::class, 'getAbstractCsv']);
    Route::get('/abstractPortal/downloadDocs', [AbstractPortalController::class, 'downloadDocs']);
});
Route::middleware('auth')->group(function () {
    Route::get('/abstractReview', [AbstractReviewController::class, 'index']);
    Route::resource('abstractReview', AbstractReviewController::class);
});

// admin section
Route::get('/administrator', function () {
    return view('admin_abstract_submitions');
})->middleware(['auth', 'verified','admin'])->name('admin_abstract_profile');

Route::get('/admin_abstract_profile', function () {
    return view('admin_abstract_profile');
})->middleware(['auth', 'verified','admin'])->name('admin_abstract_profile');


Route::get('/admin_abstract_submitions', function () {
    return view('admin_abstract_submitions');
})->middleware(['auth', 'verified','admin'])->name('admin_abstract_profile');

Route::middleware('auth')->group(function () {
    Route::get('/abstractPortal/getAbstract/{user_id}', [AbstractPortalController::class, 'getAbstract']);
});
Route::middleware('auth')->group(function () {
    Route::get('/abstractPortal/getFullAbstract/{abstract_id}', [AbstractPortalController::class, 'getFullAbstract']);
});
// payment response notification
Route::middleware('auth')->group(function () {
    Route::get('/PaymentResponse/sendMail', [PaymentResponseController::class, 'sendMail']);
});

Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('cache:clear');
    // return what you want
});

Route::get('/clear-cache', function() {
    $exitCode = Artisan::call('optimize:clear');
    // return what you want
});


// Route::get('sendbasicemail','MailController@basic_email');
// Route::get('sendhtmlemail','MailController@html_email');
// Route::get('sendattachmentemail','MailController@attachment_email');
Route::get('sendbasicemail', [MailController::class, 'basic_email']);

// membership registration
// Fellowship
Route::middleware('auth')->group(function () {
    Route::get('/fellowship', [MemberRegFellowshipController::class, 'index']);
});


Route::get('send', 'NotifyController@index');

require __DIR__.'/auth.php';
